Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.xmloutput
Class XMLField

    java.lang.Object
      org.pentaho.di.trans.steps.xmloutput.XMLField

All Implemented Interfaces:
  Cloneable

    public class XMLField

extends Object
implements Cloneable

Describes a single field in an XML output file

Since:
  14-jan-2006
Author:
  Matt

Constructor Summary
`XMLField()`
`XMLField(String fieldName, String elementName, int type, String format, int length, int precision, String currencySymbol, String decimalSymbol, String groupSymbol, String nullString)`

Method Summary
`Object` | `clone()`
`int` | `compare(Object obj)`
`boolean` | `equal(Object obj)`
`String` | `getCurrencySymbol()`
`String` | `getDecimalSymbol()`
`String` | `getElementName()`
`String` | `getFieldName()`
`String` | `getFormat()`
`String` | `getGroupingSymbol()`
`int` | `getLength()`
`String` | `getNullString()`
`int` | `getPrecision()`
`int` | `getType()`
`String` | `getTypeDesc()`
`void` | `setCurrencySymbol(String currency_symbol)`
`void` | `setDecimalSymbol(String decimal_symbol)`
`void` | `setElementName(String elementName)`
`void` | `setFieldName(String fieldname)`
`void` | `setFormat(String format)`
`void` | `setGroupingSymbol(String group_symbol)`
`void` | `setLength(int length)`
`void` | `setNullString(String null_string)`
`void` | `setPrecision(int precision)`
`void` | `setType(int type)`
`void` | `setType(String typeDesc)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLField

    public XMLField(String fieldName,
                    String elementName,
                    int type,
                    String format,
                    int length,
                    int precision,
                    String currencySymbol,
                    String decimalSymbol,
                    String groupSymbol,
                    String nullString)

### XMLField

    public XMLField()

Method Detail

### compare

    public int compare(Object obj)

### equal

    public boolean equal(Object obj)

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### getLength

    public int getLength()

### setLength

    public void setLength(int length)

### getFieldName

    public String getFieldName()

### setFieldName

    public void setFieldName(String fieldname)

### getType

    public int getType()

### getTypeDesc

    public String getTypeDesc()

### setType

    public void setType(int type)

### setType

    public void setType(String typeDesc)

### getFormat

    public String getFormat()

### setFormat

    public void setFormat(String format)

### getGroupingSymbol

    public String getGroupingSymbol()

### setGroupingSymbol

    public void setGroupingSymbol(String group_symbol)

### getDecimalSymbol

    public String getDecimalSymbol()

### setDecimalSymbol

    public void setDecimalSymbol(String decimal_symbol)

### getCurrencySymbol

    public String getCurrencySymbol()

### setCurrencySymbol

    public void setCurrencySymbol(String currency_symbol)

### getPrecision

    public int getPrecision()

### setPrecision

    public void setPrecision(int precision)

### getNullString

    public String getNullString()

### setNullString

    public void setNullString(String null_string)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getElementName

    public String getElementName()

  Returns:
    Returns the elementName.

### setElementName

    public void setElementName(String elementName)

  Parameters:
    `elementName` - The elementName to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD